<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.casic.dcms">

    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" /><!--安装apk权限-->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />

    <!--危险权限-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /><!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /><!--用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /><!--用于访问GPS定位-->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission
        android:name="android.permission.READ_LOGS"
        tools:ignore="ProtectedPermissions" />

    <uses-permission
        android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />

    <uses-sdk tools:overrideLibrary="com.esri.arcgisruntime" />

    <!--OpenGL ES支持 -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <application
        android:name=".base.BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/app_logo"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/app_logo"
        android:supportsRtl="true"
        android:theme="@style/QMUI.Compat.NoActionBar"
        android:usesCleartextTraffic="true"
        tools:targetApi="m">
        <activity
            android:name=".ui.PermissionActivity"
            android:excludeFromRecents="false"><!--把APP从最近使用隐藏，防止用户手动杀死-->
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.LoginActivity" />
        <activity android:name=".ui.MainActivity" />
        <activity android:name=".ui.HelpfulActivity" />
        <activity android:name=".ui.ChangePasswordActivity" />
        <activity android:name=".ui.UserInfoActivity" />
        <activity android:name=".ui.DataAnalysisActivity" />
        <activity android:name=".ui.TrendAnalysisActivity" />
        <activity android:name=".ui.HighEventListActivity" />
        <activity android:name=".ui.EventSourceActivity" />
        <activity android:name=".ui.CaseSearchActivity" />
        <activity android:name=".ui.CaseListResultActivity" />
        <activity android:name=".ui.CaseProcessActivity" />
        <activity android:name=".ui.CaseCheckActivity" />
        <activity android:name=".ui.CaseVerifyActivity" />
        <activity android:name=".ui.CaseUploadQuicklyActivity" />
        <activity android:name=".ui.ArcGISMapActivity" />
        <activity android:name=".ui.CaseUploadPackageActivity" />
        <activity android:name=".ui.CaseHandleActivity" />
        <activity android:name=".ui.UrgentCaseActivity" />
        <activity android:name=".ui.OvertimeCaseActivity" />
        <activity android:name=".ui.PersonOnlineActivity" />
        <activity android:name=".ui.DisplayMapActivity" />
        <activity android:name=".ui.CaseOnMapActivity" />
        <activity android:name=".ui.PublicToiletActivity" />
        <activity android:name=".ui.CleanResultListActivity" />
        <activity android:name=".ui.WorkerOnMapActivity" />
        <activity android:name=".ui.PackageHandleActivity" />
        <activity android:name=".ui.PackageHandledDetailActivity" />
        <activity android:name=".ui.PackageTodoDetailActivity" />
        <activity android:name=".ui.ChangeShopInfoActivity" />
        <activity android:name=".ui.DeptHandleActivity" />
        <activity android:name=".ui.DeptAdjustDetailActivity" />
        <activity android:name=".ui.DeptAuthorizeDetailActivity" />
        <activity android:name=".ui.DeptTodoDetailActivity" />
        <activity android:name=".ui.BridgeMaintainActivity" />
        <activity android:name=".ui.MaintainRecordActivity" />
        <activity android:name=".ui.StreetlightManagerActivity" />
        <activity android:name=".ui.PipelineManagerActivity" />
        <activity android:name=".ui.WellListActivity" />
        <activity android:name=".ui.WarningOnMapActivity" />

        <activity
            android:name=".ui.BigImageActivity"
            android:theme="@style/Theme.BigImageActivity" />
        <activity
            android:name=".ui.CaseUploadActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseVerifyDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseVerifiedDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseCheckedDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseCheckDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseHandleDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseHandledDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseTodoDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />
        <activity
            android:name=".ui.CaseTodoHandledDetailActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="fullSensor" />

        <!-- 拍照压缩图片用 FileProvider -->
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.casic.dcms.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!-- 水印用 FileProvider -->
        <provider
            android:name=".utils.provider.WaterImageFileProvider"
            android:authorities="com.casic.dcms.water.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!--视频压缩 FileProvider-->
        <provider
            android:name=".utils.provider.CompressVideoFileProvider"
            android:authorities="com.casic.dcms.video.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!-- app 升级配置用 VersionUpgradeFileProvider -->
        <provider
            android:name=".utils.provider.VersionUpgradeFileProvider"
            android:authorities="com.casic.dcms.install.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>

        <!--个推-->
        <meta-data
            android:name="PUSH_APPID"
            android:value="${GETUI_APPID}" />

        <service
            android:name=".service.GeTuiPushService"
            android:exported="true"
            android:label="PushService"
            android:process=":pushservice" />

        <service
            android:name=".service.GeTuiIntentService"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <!--位置上报后台服务-->
        <service android:name=".service.UploadLocationService" />

        <!--高德定位-->
        <service android:name="com.amap.api.location.APSService" />

        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="22b9b1684ea645972d95a627954f4062" />
    </application>
</manifest>